/*
* $Log: inter.arm.c,v $
* Revision 1.3  2004/02/18 19:59:15  richq
* interrupt in iwram
*
* Revision 1.2  2004/01/31 17:12:49  Default
* Interrupt routine. Not really used a great deal in LoM, but
* it's kind of mandatory to have just in case. This version
* is just a code tidying up.
*
*/

#include "gba.h"
#include "dma.h"
#include "qmath.h"

#include "inter.h"
#include "interupts.h"

u32 game_frames;

/// called every frame in the VBlank interrupt
IN_IWRAM void VBlankInterruptHandler(void) {
  // increase frame count
  game_frames++;
  
  // let the bios know that vblank occurred
  (*(volatile u32*)0x03fffff8) |= INT_VBLANK;
  REG_IF |= INT_VBLANK;
  
}


