/*
* $Log: savearea.h,v $
* Revision 1.3  2004/01/26 20:32:20  richq
* Save menu added
*
* Revision 1.2  2004/01/22 19:58:13  richq
* Got rid of malloc'd save area. I thought the save area was bigger, but
* most of it is actually stored in other tables.
*                                                              
* Revision 1.1  2004/01/21 19:27:42  Default                                        
* Contains a struct for bits of data to save. When saving is implemented, that is :)
*                                                                                   
*/

#ifndef SAVEAREA_H
#define SAVEAREA_H

#include "gba.h"

typedef struct {
  
  u16 days;
  u8  selectedLord;
  
} savearea_t;


extern savearea_t g_saveArea;

void init_savearea(void);

void showSaveMenu(void);

#endif


